<id>
Improved Email Check On Registration Y2.1
</id>

<version>
1.0 beta
</version>

<mod info>
This mod needs Net::DNS to be installed on the server 
 
What does it do ? 
 
- it checks valid syntax on given email address 
- it checks if the domain exists given in the address 
- it checks if the user is known on the given SMTP server 
- it checks if the smtp server(s) are online and valid 
- it checks if the users mailbox is full 
 
Also it adds a second email field on registration for verification of typing errors. 
 
Known restrictions: 
- Not all mailservers reply the same if a user does not exist and you may be amazed how many stupid domains exists, like hotlmail.com and such, so not every typo will be caught on domain check. 
 
Installation: 
 
- Upload Mail/CheckUser.pm in Modules and CHMOD the same as other modules there 
- Apply the mod 
- Upload the changed Subs.pl, Register.pl, Register.lng 
 
History: 
V1.0 First release 
</mod info>

<author>
Spikecity
</author>

<homepage>
http://www.yabbforum.com
</homepage>

<edit file>
Sources/Subs.pl
</edit file>

<search for>
	push(@INC, "./Modules/Upload");
	push(@INC, "./Modules/Digest");
</search for>

<add after>
	push(@INC, "./Modules/Mail");
</add after>

<edit file>
Sources/Register.pl
</edit file>

<search for>
        <br /><span class="small">$register_txt{'679'}</span>
	</td>
~;
	}
	$yymain .= qq~
  </tr>
</search for>

<add after>
	<tr class="windowbg">
	<td>* <b>$register_txt{'70'}:</b></td>
	<td valign="middle"><input type="text" maxlength="60" name="email2" value="$tmpregemail" size="45" /></td>
	</tr>
</add after>

<search for>
	while (($key, $value) = each(%FORM)) {
		$value =~ s~\A\s+~~;
		$value =~ s~\s+\Z~~;
		$value =~ s~[\n\r]~~g;
		$member{$key} = $value;
	}
	$member{'username'} =~ s/\s/_/g;
</search for>

<add after>
	## check if user has a valid email address (needs Net::DNS to be installed) ##
	my $helo;
	use Mail::CheckUser qw(check_email last_check);
	$Mail::CheckUser::Sender_Addr = $webmaster_email;
	if ($boardurl =~ /http\:\/\/(.*?)\//){ $Mail::CheckUser::Helo_Domain = $1; }
	if(check_email($member{'email'})) {
		my $email_ok = 1;
	} else {
		my $failure = last_check()->{code};
		&fatal_error( "$mail_check{'address'} $member{'email'} $mail_check{'invalid'}, $mail_check{'reason'} $mail_check{$failure}");
	}
</add after>

<search for>
	&fatal_error("($member{'username'}) $register_txt{'76'}")                     if ($member{'email'} eq "");
</search for>

<add after>
	&fatal_error("($member{'username'}) $register_txt{'71'}")                     if ($member{'email'} ne $member{'email2'});
</add after>

<edit file>
Languages/German/Register.lng
</edit file>

<search for>
'69' => "E-Mail",
</search for>

<add after>
'70' => "E-Mail (fr berprfung)",
'71' => "Die E-Mail Adresse stimmt nicht berein!",
</add after>

<search for>
1;
</search for>

<add before>
%mail_check = (
'address' => "Die eingetragene E-Mail Adresse:",
'invalid' => "ist ungltig.",
'reason' => "Der Fehler ist:",
'0' => "berprfung verlief erfolgreich.",
'1' => "Fehlerhafte Struktur in der E-Mail Adresse.",
'2' => "Die in der E-Mail Adresse eingetragene E-Mail Domain ist unbekannt.",
'3' => "Die Zeit ist whrend der DNS berprfung abgelaufen.",
'4' => "Benutzer ist auf dem SMTP Server unbekannt.",
'5' => "Die Zeit ist whrend der SMTP berprfung abgelaufen.",
'6' => "Es wurde whrend der SMTP berprfung festgestellt, dass alle SMTP Server fr die gefundene E-Mail nicht erreichbar sind.",
'7' => "Der Postkasten knnte vorbergehend voll sein, aber der Benutzername ist offenbar gltig.", 
);

</add before> 

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$im_reg = "Improved Email Check On Registration 1.0 beta GE|Ron@Spikecity|Extensive email check during registration|V1.0 beta|February 11th 2007";
	push (@installed_mods, "$im_reg");
</add before>
